# -*- coding: utf-8 -*-
from setuptools import setup

with open("README.md", "r", encoding="utf-8-sig") as fh:
    long_description = fh.read()

packages = \
['SEScore2',
 'SEScore2.inference',
 'SEScore2.preprocess',
 'SEScore2.syn_data',
 'SEScore2.train'
 ]

package_data = \
{'': ['*']}

install_requires = \
['transformers',
'sentencepiece',
'protobuf==3.20.*',
'python-snappy',
'pandas',
'nvitop',
'click',
'datasets',
'wandb',
'scipy',
'absl-py',
'torch',
'torchvision',
'torchaudio']

setup_kwargs = {
    'name': 'SEScore2',
    'version': '1.0.0',
    'description': 'SEScore2: Retrieval Augmented Pretraining for Text Generation Evaluation',
    'long_description': long_description,
    'long_description_content_type': "text/markdown",
    'author': 'Wenda Xu, Xian Qian, Mingxuan Wang, Lei Li, William Yang Wang',
    'author_email': 'wendaxu@ucsb.edu',
    'maintainer': 'Wenda Xu, Zihan Ma',
    'maintainer_email': 'zihan_ma@ucsb.edu',
    'url': 'https://github.com/xu1998hz/SEScore2_archive',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8.0,<4.0.0',
}


setup(**setup_kwargs)
